masqmail-0.2

view config.status.lineno @ 3:8c55886cacd8

man pages will be maintained in troff now
author meillo@marmaro.de
date Fri, 26 Sep 2008 21:40:10 +0200
parents af25f5c39d90
children 2c09cca4cab9
line source
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24 else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27 esac
29 fi
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
51 fi
52 rm -f conf$$.sh
53 fi
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58 else
59 as_unset=false
60 fi
63 # IFS
64 # We need space, tab and new line, in precisely that order. Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
69 '
70 IFS=" "" $as_nl"
72 # Find who we are. Look in the path if we contain no directory separator.
73 case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
77 do
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
84 ;;
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89 as_myself=$0
90 fi
91 if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
94 fi
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
104 # NLS nuisances.
105 for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
109 do
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
114 fi
115 done
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121 else
122 as_expr=false
123 fi
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127 else
128 as_basename=false
129 fi
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
140 q
141 }
142 /^X\/\(\/\/\)$/{
143 s//\1/
144 q
145 }
146 /^X\/\(\/\).*/{
147 s//\1/
148 q
149 }
150 s/.*/./; q'`
152 # CDPATH.
153 $as_unset CDPATH
157 as_lineno_1=157
158 as_lineno_2=158
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
162 # Create $as_me.lineno as a copy of $as_myself, but with 162
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using 164; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing 166, and appends
167 # trailing '-' during substitution so that 167 is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
173 p
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
179 b
180 :lineno
181 N
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
197 }
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202 else
203 as_dirname=false
204 fi
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
213 *)
214 ECHO_N='-n';;
215 esac
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220 else
221 as_expr=false
222 fi
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227 else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
230 fi
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242 else
243 as_ln_s='cp -p'
244 fi
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
248 if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250 else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
253 fi
255 if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257 else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
262 fi
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
274 '
275 fi
276 as_executable_p=$as_test_x
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
285 exec 6>&1
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by masqmail $as_me 0.2.21, which was
292 generated by GNU Autoconf 2.61. Invocation command line was
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
301 "
303 # Files that config.status was made for.
304 config_files=" Makefile debian/Makefile tests/Makefile src/Makefile src/base64/Makefile src/md5/Makefile src/libident/Makefile suse/masqmail.spec redhat/masqmail.spec"
305 config_headers=" config.h"
306 config_commands=" depfiles"
308 ac_cs_usage="\
309 \`$as_me' instantiates files from templates according to the
310 current configuration.
312 Usage: $0 [OPTIONS] [FILE]...
314 -h, --help print this help, then exit
315 -V, --version print version number and configuration settings, then exit
316 -q, --quiet do not print progress messages
317 -d, --debug don't remove temporary files
318 --recheck update $as_me by reconfiguring in the same conditions
319 --file=FILE[:TEMPLATE]
320 instantiate the configuration file FILE
321 --header=FILE[:TEMPLATE]
322 instantiate the configuration header FILE
324 Configuration files:
325 $config_files
327 Configuration headers:
328 $config_headers
330 Configuration commands:
331 $config_commands
333 Report bugs to <bug-autoconf@gnu.org>."
335 ac_cs_version="\
336 masqmail config.status 0.2.21
337 configured by ./configure, generated by GNU Autoconf 2.61,
338 with options \"'--build' 'i486-linux-gnu' '--prefix=/usr' '--mandir=\${prefix}/share/man' '--with-logdir=/var/log/masqmail' '--with-spooldir=/var/spool/masqmail' '--with-user=mail' '--with-group=mail' '--with-confdir=/etc/masqmail' '--with-liblockfile' '--enable-auth' '--enable-ident' '--enable-maildir' 'build_alias=i486-linux-gnu'\"
340 Copyright (C) 2006 Free Software Foundation, Inc.
341 This config.status script is free software; the Free Software Foundation
342 gives unlimited permission to copy, distribute and modify it."
344 ac_pwd='/home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21'
345 srcdir='.'
346 INSTALL='/usr/bin/install -c'
347 # If no file are specified by the user, then we need to provide default
348 # value. By we need to know if files were specified by the user.
349 ac_need_defaults=:
350 while test $# != 0
351 do
352 case $1 in
353 --*=*)
354 ac_option=`expr "X$1" : 'X\([^=]*\)='`
355 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
356 ac_shift=:
357 ;;
358 *)
359 ac_option=$1
360 ac_optarg=$2
361 ac_shift=shift
362 ;;
363 esac
365 case $ac_option in
366 # Handling of the options.
367 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
368 ac_cs_recheck=: ;;
369 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
370 echo "$ac_cs_version"; exit ;;
371 --debug | --debu | --deb | --de | --d | -d )
372 debug=: ;;
373 --file | --fil | --fi | --f )
374 $ac_shift
375 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
376 ac_need_defaults=false;;
377 --header | --heade | --head | --hea )
378 $ac_shift
379 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
380 ac_need_defaults=false;;
381 --he | --h)
382 # Conflict between --help and --header
383 { echo "$as_me: error: ambiguous option: $1
384 Try \`$0 --help' for more information." >&2
385 { (exit 1); exit 1; }; };;
386 --help | --hel | -h )
387 echo "$ac_cs_usage"; exit ;;
388 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
389 | -silent | --silent | --silen | --sile | --sil | --si | --s)
390 ac_cs_silent=: ;;
392 # This is an error.
393 -*) { echo "$as_me: error: unrecognized option: $1
394 Try \`$0 --help' for more information." >&2
395 { (exit 1); exit 1; }; } ;;
397 *) ac_config_targets="$ac_config_targets $1"
398 ac_need_defaults=false ;;
400 esac
401 shift
402 done
404 ac_configure_extra_args=
406 if $ac_cs_silent; then
407 exec 6>/dev/null
408 ac_configure_extra_args="$ac_configure_extra_args --silent"
409 fi
411 if $ac_cs_recheck; then
412 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--build' 'i486-linux-gnu' '--prefix=/usr' '--mandir=${prefix}/share/man' '--with-logdir=/var/log/masqmail' '--with-spooldir=/var/spool/masqmail' '--with-user=mail' '--with-group=mail' '--with-confdir=/etc/masqmail' '--with-liblockfile' '--enable-auth' '--enable-ident' '--enable-maildir' 'build_alias=i486-linux-gnu' $ac_configure_extra_args " --no-create --no-recursion" >&6
413 CONFIG_SHELL=/bin/sh
414 export CONFIG_SHELL
415 exec /bin/sh "./configure" '--build' 'i486-linux-gnu' '--prefix=/usr' '--mandir=${prefix}/share/man' '--with-logdir=/var/log/masqmail' '--with-spooldir=/var/spool/masqmail' '--with-user=mail' '--with-group=mail' '--with-confdir=/etc/masqmail' '--with-liblockfile' '--enable-auth' '--enable-ident' '--enable-maildir' 'build_alias=i486-linux-gnu' $ac_configure_extra_args --no-create --no-recursion
416 fi
418 exec 5>>config.log
419 {
420 echo
421 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
422 ## Running $as_me. ##
423 _ASBOX
424 echo "$ac_log"
425 } >&5
427 #
428 # INIT-COMMANDS
429 #
430 AMDEP_TRUE="" ac_aux_dir="."
433 # Handling of arguments.
434 for ac_config_target in $ac_config_targets
435 do
436 case $ac_config_target in
437 "config.h") CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
438 "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
439 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
440 "debian/Makefile") CONFIG_FILES="$CONFIG_FILES debian/Makefile" ;;
441 "tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
442 "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
443 "src/base64/Makefile") CONFIG_FILES="$CONFIG_FILES src/base64/Makefile" ;;
444 "src/md5/Makefile") CONFIG_FILES="$CONFIG_FILES src/md5/Makefile" ;;
445 "src/libident/Makefile") CONFIG_FILES="$CONFIG_FILES src/libident/Makefile" ;;
446 "suse/masqmail.spec") CONFIG_FILES="$CONFIG_FILES suse/masqmail.spec" ;;
447 "redhat/masqmail.spec") CONFIG_FILES="$CONFIG_FILES redhat/masqmail.spec" ;;
449 *) { { echo "$as_me:452: error: invalid argument: $ac_config_target" >&5
450 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
451 { (exit 1); exit 1; }; };;
452 esac
453 done
456 # If the user did not use the arguments to specify the items to instantiate,
457 # then the envvar interface is used. Set only those that are not.
458 # We use the long form for the default assignment because of an extremely
459 # bizarre bug on SunOS 4.1.3.
460 if $ac_need_defaults; then
461 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
462 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
463 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
464 fi
466 # Have a temporary directory for convenience. Make it in the build tree
467 # simply because there is no reason against having it here, and in addition,
468 # creating and moving files from /tmp can sometimes cause problems.
469 # Hook for its removal unless debugging.
470 # Note that there is a small window in which the directory will not be cleaned:
471 # after its creation but before its name has been assigned to `$tmp'.
472 $debug ||
473 {
474 tmp=
475 trap 'exit_status=$?
476 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
477 ' 0
478 trap '{ (exit 1); exit 1; }' 1 2 13 15
479 }
480 # Create a (secure) tmp directory for tmp files.
482 {
483 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
484 test -n "$tmp" && test -d "$tmp"
485 } ||
486 {
487 tmp=./conf$$-$RANDOM
488 (umask 077 && mkdir "$tmp")
489 } ||
490 {
491 echo "$me: cannot create a temporary directory in ." >&2
492 { (exit 1); exit 1; }
493 }
495 #
496 # Set up the sed scripts for CONFIG_FILES section.
497 #
499 # No need to generate the scripts if there are no CONFIG_FILES.
500 # This happens for instance when ./config.status config.h
501 if test -n "$CONFIG_FILES"; then
503 cat >"$tmp/subs-1.sed" <<\CEOF
504 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
505 s,@SHELL@,|#_!!_#|/bin/sh,g
506 s,@PATH_SEPARATOR@,|#_!!_#|:,g
507 s,@PACKAGE_NAME@,|#_!!_#|masqmail,g
508 s,@PACKAGE_TARNAME@,|#_!!_#|masqmail,g
509 s,@PACKAGE_VERSION@,|#_!!_#|0.2.21,g
510 s,@PACKAGE_STRING@,|#_!!_#|masqmail 0.2.21,g
511 s,@PACKAGE_BUGREPORT@,|#_!!_#|oku@|#_!!_#|debian.org,g
512 s,@exec_prefix@,|#_!!_#|${prefix},g
513 s,@prefix@,|#_!!_#|/usr,g
514 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
515 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
516 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
517 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
518 s,@datarootdir@,|#_!!_#|${prefix}/share,g
519 s,@datadir@,|#_!!_#|${datarootdir},g
520 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
521 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
522 s,@localstatedir@,|#_!!_#|${prefix}/var,g
523 s,@includedir@,|#_!!_#|${prefix}/include,g
524 s,@oldincludedir@,|#_!!_#|/usr/include,g
525 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
526 s,@infodir@,|#_!!_#|${datarootdir}/info,g
527 s,@htmldir@,|#_!!_#|${docdir},g
528 s,@dvidir@,|#_!!_#|${docdir},g
529 s,@pdfdir@,|#_!!_#|${docdir},g
530 s,@psdir@,|#_!!_#|${docdir},g
531 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
532 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
533 s,@mandir@,|#_!!_#|${prefix}/share/man,g
534 s,@DEFS@,|#_!!_#|-DHAVE_CONFIG_H,g
535 s,@ECHO_C@,|#_!!_#|,g
536 s,@ECHO_N@,|#_!!_#|-n,g
537 s,@ECHO_T@,|#_!!_#|,g
538 s,@LIBS@,|#_!!_#|,g
539 s,@build_alias@,|#_!!_#|i486-linux-gnu,g
540 s,@host_alias@,|#_!!_#|,g
541 s,@target_alias@,|#_!!_#|,g
542 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
543 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
544 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
545 s,@CYGPATH_W@,|#_!!_#|echo,g
546 s,@PACKAGE@,|#_!!_#|masqmail,g
547 s,@VERSION@,|#_!!_#|0.2.21,g
548 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run aclocal-1.7,g
549 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run autoconf,g
550 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run automake-1.7,g
551 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run autoheader,g
552 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run makeinfo,g
553 s,@AMTAR@,|#_!!_#|${SHELL} /home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/missing --run tar,g
554 s,@install_sh@,|#_!!_#|/home/pere/src/debiancvs/initscripts-ng-svn/trunk/src/insserv/masqmail-0.2.21/install-sh,g
555 s,@STRIP@,|#_!!_#|,g
556 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|${SHELL} $(install_sh) -c -s,g
557 s,@AWK@,|#_!!_#|gawk,g
558 s,@SET_MAKE@,|#_!!_#|,g
559 s,@am__leading_dot@,|#_!!_#|.,g
560 s,@CC@,|#_!!_#|gcc,g
561 s,@CFLAGS@,|#_!!_#|-g -O2,g
562 s,@LDFLAGS@,|#_!!_#|,g
563 s,@CPPFLAGS@,|#_!!_#|,g
564 s,@ac_ct_CC@,|#_!!_#|gcc,g
565 s,@EXEEXT@,|#_!!_#|,g
566 s,@OBJEXT@,|#_!!_#|o,g
567 s,@DEPDIR@,|#_!!_#|.deps,g
568 s,@am__include@,|#_!!_#|include,g
569 s,@am__quote@,|#_!!_#|,g
570 s,@AMDEP_TRUE@,|#_!!_#|,g
571 s,@AMDEP_FALSE@,|#_!!_#|#,g
572 s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
573 s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
574 s,@am__fastdepCC_TRUE@,|#_!!_#|,g
575 s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
576 s,@CPP@,|#_!!_#|gcc -E,g
577 s,@GREP@,|#_!!_#|/bin/grep,g
578 s,@EGREP@,|#_!!_#|/bin/grep -E,g
579 s,@RANLIB@,|#_!!_#|ranlib,g
580 s,@PKG_CONFIG@,|#_!!_#|/usr/bin/pkg-config,g
581 s,@GLIB_CFLAGS@,|#_!!_#|-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include ,g
582 s,@GLIB_LIBS@,|#_!!_#|-lglib-2.0 ,g
583 s,@RESOLV_LIBS@,|#_!!_#|-lresolv,g
584 s,@with_user@,|#_!!_#|mail,g
585 s,@with_group@,|#_!!_#|mail,g
586 s,@BASE64_LIBS@,|#_!!_#|base64/libbase64.a,g
587 s,@MD5_LIBS@,|#_!!_#|md5/libmd5c.a,g
588 s,@has_ident@,|#_!!_#|,g
589 s,@IDENT_LIBS@,|#_!!_#|-lident,g
590 s,@LOCKFILE_LIBS@,|#_!!_#|-llockfile,g
591 s,@USE_LIBLOCKFILE@,|#_!!_#|,g
592 s,@with_logdir@,|#_!!_#|/var/log/masqmail,g
593 s,@with_spooldir@,|#_!!_#|/var/spool/masqmail,g
594 s,@with_confdir@,|#_!!_#|/etc/masqmail,g
595 s,@LIBOBJS@,|#_!!_#|,g
596 s,@LTLIBOBJS@,|#_!!_#|,g
597 :end
598 s/|#_!!_#|//g
599 CEOF
600 fi # test -n "$CONFIG_FILES"
603 for ac_tag in :F $CONFIG_FILES :H $CONFIG_HEADERS :C $CONFIG_COMMANDS
604 do
605 case $ac_tag in
606 :[FHLC]) ac_mode=$ac_tag; continue;;
607 esac
608 case $ac_mode$ac_tag in
609 :[FHL]*:*);;
610 :L* | :C*:*) { { echo "$as_me:613: error: Invalid tag $ac_tag." >&5
611 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
612 { (exit 1); exit 1; }; };;
613 :[FH]-) ac_tag=-:-;;
614 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
615 esac
616 ac_save_IFS=$IFS
617 IFS=:
618 set x $ac_tag
619 IFS=$ac_save_IFS
620 shift
621 ac_file=$1
622 shift
624 case $ac_mode in
625 :L) ac_source=$1;;
626 :[FH])
627 ac_file_inputs=
628 for ac_f
629 do
630 case $ac_f in
631 -) ac_f="$tmp/stdin";;
632 *) # Look for the file first in the build tree, then in the source tree
633 # (if the path is not absolute). The absolute path cannot be DOS-style,
634 # because $ac_f cannot contain `:'.
635 test -f "$ac_f" ||
636 case $ac_f in
637 [\\/$]*) false;;
638 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
639 esac ||
640 { { echo "$as_me:643: error: cannot find input file: $ac_f" >&5
641 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
642 { (exit 1); exit 1; }; };;
643 esac
644 ac_file_inputs="$ac_file_inputs $ac_f"
645 done
647 # Let's still pretend it is `configure' which instantiates (i.e., don't
648 # use $as_me), people would be surprised to read:
649 # /* config.h. Generated by config.status. */
650 configure_input="Generated from "`IFS=:
651 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
652 if test x"$ac_file" != x-; then
653 configure_input="$ac_file. $configure_input"
654 { echo "$as_me:657: creating $ac_file" >&5
655 echo "$as_me: creating $ac_file" >&6;}
656 fi
658 case $ac_tag in
659 *:-:* | *:-) cat >"$tmp/stdin";;
660 esac
661 ;;
662 esac
664 ac_dir=`$as_dirname -- "$ac_file" ||
665 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
666 X"$ac_file" : 'X\(//\)[^/]' \| \
667 X"$ac_file" : 'X\(//\)$' \| \
668 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
669 echo X"$ac_file" |
670 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
671 s//\1/
672 q
673 }
674 /^X\(\/\/\)[^/].*/{
675 s//\1/
676 q
677 }
678 /^X\(\/\/\)$/{
679 s//\1/
680 q
681 }
682 /^X\(\/\).*/{
683 s//\1/
684 q
685 }
686 s/.*/./; q'`
687 { as_dir="$ac_dir"
688 case $as_dir in #(
689 -*) as_dir=./$as_dir;;
690 esac
691 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
692 as_dirs=
693 while :; do
694 case $as_dir in #(
695 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
696 *) as_qdir=$as_dir;;
697 esac
698 as_dirs="'$as_qdir' $as_dirs"
699 as_dir=`$as_dirname -- "$as_dir" ||
700 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
701 X"$as_dir" : 'X\(//\)[^/]' \| \
702 X"$as_dir" : 'X\(//\)$' \| \
703 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
704 echo X"$as_dir" |
705 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
706 s//\1/
707 q
708 }
709 /^X\(\/\/\)[^/].*/{
710 s//\1/
711 q
712 }
713 /^X\(\/\/\)$/{
714 s//\1/
715 q
716 }
717 /^X\(\/\).*/{
718 s//\1/
719 q
720 }
721 s/.*/./; q'`
722 test -d "$as_dir" && break
723 done
724 test -z "$as_dirs" || eval "mkdir $as_dirs"
725 } || test -d "$as_dir" || { { echo "$as_me:728: error: cannot create directory $as_dir" >&5
726 echo "$as_me: error: cannot create directory $as_dir" >&2;}
727 { (exit 1); exit 1; }; }; }
728 ac_builddir=.
730 case "$ac_dir" in
731 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
732 *)
733 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
734 # A ".." for each directory in $ac_dir_suffix.
735 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
736 case $ac_top_builddir_sub in
737 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
738 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
739 esac ;;
740 esac
741 ac_abs_top_builddir=$ac_pwd
742 ac_abs_builddir=$ac_pwd$ac_dir_suffix
743 # for backward compatibility:
744 ac_top_builddir=$ac_top_build_prefix
746 case $srcdir in
747 .) # We are building in place.
748 ac_srcdir=.
749 ac_top_srcdir=$ac_top_builddir_sub
750 ac_abs_top_srcdir=$ac_pwd ;;
751 [\\/]* | ?:[\\/]* ) # Absolute name.
752 ac_srcdir=$srcdir$ac_dir_suffix;
753 ac_top_srcdir=$srcdir
754 ac_abs_top_srcdir=$srcdir ;;
755 *) # Relative name.
756 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
757 ac_top_srcdir=$ac_top_build_prefix$srcdir
758 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
759 esac
760 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
763 case $ac_mode in
764 :F)
765 #
766 # CONFIG_FILE
767 #
769 case $INSTALL in
770 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
771 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
772 esac
773 # If the template does not know about datarootdir, expand it.
774 # FIXME: This hack should be removed a few years after 2.60.
775 ac_datarootdir_hack=; ac_datarootdir_seen=
777 case `sed -n '/datarootdir/ {
778 p
779 q
780 }
781 /@datadir@/p
782 /@docdir@/p
783 /@infodir@/p
784 /@localedir@/p
785 /@mandir@/p
786 ' $ac_file_inputs` in
787 *datarootdir*) ac_datarootdir_seen=yes;;
788 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
789 { echo "$as_me:792: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
790 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
791 ac_datarootdir_hack='
792 s&@datadir@&${datarootdir}&g
793 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
794 s&@infodir@&${datarootdir}/info&g
795 s&@localedir@&${datarootdir}/locale&g
796 s&@mandir@&${prefix}/share/man&g
797 s&\${datarootdir}&${prefix}/share&g' ;;
798 esac
799 sed "/^[ ]*VPATH[ ]*=/{
800 s/:*\$(srcdir):*/:/
801 s/:*\${srcdir}:*/:/
802 s/:*@srcdir@:*/:/
803 s/^\([^=]*=[ ]*\):*/\1/
804 s/:*$//
805 s/^[^=]*=[ ]*$//
806 }
808 :t
809 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
810 s&@configure_input@&$configure_input&;t t
811 s&@top_builddir@&$ac_top_builddir_sub&;t t
812 s&@srcdir@&$ac_srcdir&;t t
813 s&@abs_srcdir@&$ac_abs_srcdir&;t t
814 s&@top_srcdir@&$ac_top_srcdir&;t t
815 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
816 s&@builddir@&$ac_builddir&;t t
817 s&@abs_builddir@&$ac_abs_builddir&;t t
818 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
819 s&@INSTALL@&$ac_INSTALL&;t t
820 $ac_datarootdir_hack
821 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
823 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
824 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
825 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
826 { echo "$as_me:829: WARNING: $ac_file contains a reference to the variable \`datarootdir'
827 which seems to be undefined. Please make sure it is defined." >&5
828 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
829 which seems to be undefined. Please make sure it is defined." >&2;}
831 rm -f "$tmp/stdin"
832 case $ac_file in
833 -) cat "$tmp/out"; rm -f "$tmp/out";;
834 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
835 esac
836 ;;
837 :H)
838 #
839 # CONFIG_HEADER
840 #
841 # First, check the format of the line:
842 cat >"$tmp/defines.sed" <<\CEOF
843 /^[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
844 /^[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
845 b
846 :def
847 s/$/ /
848 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "masqmail" ,
849 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "masqmail" ,
850 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "0.2.21" ,
851 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "masqmail 0.2.21" ,
852 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "oku@debian.org" ,
853 s,^\([ #]*\)[^ ]*\([ ]*PACKAGE\)[ (].*,\1define\2 "masqmail" ,
854 s,^\([ #]*\)[^ ]*\([ ]*VERSION\)[ (].*,\1define\2 "0.2.21" ,
855 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
856 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_RESOLVER\)[ (].*,\1define\2 1 ,
857 s,^\([ #]*\)[^ ]*\([ ]*HAVE_GETLINE\)[ (].*,\1define\2 1 ,
858 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FDATASYNC\)[ (].*,\1define\2 1 ,
859 s,^\([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
860 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
861 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
862 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
863 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
864 s,^\([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
865 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
866 s,^\([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
867 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
868 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
869 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FCNTL_H\)[ (].*,\1define\2 1 ,
870 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYS_TIME_H\)[ (].*,\1define\2 1 ,
871 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SYSLOG_H\)[ (].*,\1define\2 1 ,
872 s,^\([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
873 s,^\([ #]*\)[^ ]*\([ ]*TIME_WITH_SYS_TIME\)[ (].*,\1define\2 1 ,
874 s,^\([ #]*\)[^ ]*\([ ]*HAVE_FNMATCH\)[ (].*,\1define\2 1 ,
875 s,^\([ #]*\)[^ ]*\([ ]*RETSIGTYPE\)[ (].*,\1define\2 void ,
876 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRFTIME\)[ (].*,\1define\2 1 ,
877 s,^\([ #]*\)[^ ]*\([ ]*HAVE_VPRINTF\)[ (].*,\1define\2 1 ,
878 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SELECT\)[ (].*,\1define\2 1 ,
879 s,^\([ #]*\)[^ ]*\([ ]*HAVE_SOCKET\)[ (].*,\1define\2 1 ,
880 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRERROR\)[ (].*,\1define\2 1 ,
881 s,^\([ #]*\)[^ ]*\([ ]*HAVE_STRSTR\)[ (].*,\1define\2 1 ,
882 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_DEBUG\)[ (].*,\1define\2 1 ,
883 s,^\([ #]*\)[^ ]*\([ ]*DEF_MAIL_USER\)[ (].*,\1define\2 "mail" ,
884 s,^\([ #]*\)[^ ]*\([ ]*DEF_MAIL_GROUP\)[ (].*,\1define\2 "mail" ,
885 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_SMTP_SERVER\)[ (].*,\1define\2 1 ,
886 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_POP3\)[ (].*,\1define\2 1 ,
887 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_AUTH\)[ (].*,\1define\2 1 ,
888 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_MAILDIR\)[ (].*,\1define\2 1 ,
889 s,^\([ #]*\)[^ ]*\([ ]*ENABLE_IDENT\)[ (].*,\1define\2 1 ,
890 s,^\([ #]*\)[^ ]*\([ ]*USE_LIBLOCKFILE\)[ (].*,\1define\2 1 ,
891 s,^\([ #]*\)[^ ]*\([ ]*CONF_DIR\)[ (].*,\1define\2 "/etc/masqmail" ,
892 s,^\([ #]*\)[^ ]*\([ ]*DATA_DIR\)[ (].*,\1define\2 "${prefix}/share/masqmail" ,
893 s,^\([ #]*\)[^ ]*\([ ]*SBINDIR\)[ (].*,\1define\2 "/usr/sbin" ,
894 s/ $//
895 s,^[ #]*u.*,/* & */,
896 CEOF
897 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
898 ac_result="$tmp/out1"
899 if test x"$ac_file" != x-; then
900 echo "/* $configure_input */" >"$tmp/config.h"
901 cat "$ac_result" >>"$tmp/config.h"
902 if diff $ac_file "$tmp/config.h" >/dev/null 2>&1; then
903 { echo "$as_me:906: $ac_file is unchanged" >&5
904 echo "$as_me: $ac_file is unchanged" >&6;}
905 else
906 rm -f $ac_file
907 mv "$tmp/config.h" $ac_file
908 fi
909 else
910 echo "/* $configure_input */"
911 cat "$ac_result"
912 fi
913 rm -f "$tmp/out12"
914 # Compute $ac_file's index in $config_headers.
915 _am_stamp_count=1
916 for _am_header in $config_headers :; do
917 case $_am_header in
918 $ac_file | $ac_file:* )
919 break ;;
920 * )
921 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
922 esac
923 done
924 echo "timestamp for $ac_file" >`$as_dirname -- $ac_file ||
925 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
926 X$ac_file : 'X\(//\)[^/]' \| \
927 X$ac_file : 'X\(//\)$' \| \
928 X$ac_file : 'X\(/\)' \| . 2>/dev/null ||
929 echo X$ac_file |
930 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
931 s//\1/
932 q
933 }
934 /^X\(\/\/\)[^/].*/{
935 s//\1/
936 q
937 }
938 /^X\(\/\/\)$/{
939 s//\1/
940 q
941 }
942 /^X\(\/\).*/{
943 s//\1/
944 q
945 }
946 s/.*/./; q'`/stamp-h$_am_stamp_count
947 ;;
949 :C) { echo "$as_me:952: executing $ac_file commands" >&5
950 echo "$as_me: executing $ac_file commands" >&6;}
951 ;;
952 esac
955 case $ac_file$ac_mode in
956 "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
957 # Strip MF so we end up with the name of the file.
958 mf=`echo "$mf" | sed -e 's/:.*$//'`
959 # Check whether this is an Automake generated Makefile or not.
960 # We used to match only the files named `Makefile.in', but
961 # some people rename them; so instead we look at the file content.
962 # Grep'ing the first line is not enough: some people post-process
963 # each Makefile.in and add a new line on top of each file to say so.
964 # So let's grep whole file.
965 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
966 dirpart=`$as_dirname -- "$mf" ||
967 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
968 X"$mf" : 'X\(//\)[^/]' \| \
969 X"$mf" : 'X\(//\)$' \| \
970 X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
971 echo X"$mf" |
972 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
973 s//\1/
974 q
975 }
976 /^X\(\/\/\)[^/].*/{
977 s//\1/
978 q
979 }
980 /^X\(\/\/\)$/{
981 s//\1/
982 q
983 }
984 /^X\(\/\).*/{
985 s//\1/
986 q
987 }
988 s/.*/./; q'`
989 else
990 continue
991 fi
992 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
993 # Extract the definition of DEP_FILES from the Makefile without
994 # running `make'.
995 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
996 test -z "$DEPDIR" && continue
997 # When using ansi2knr, U may be empty or an underscore; expand it
998 U=`sed -n -e '/^U = / s///p' < "$mf"`
999 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1000 # We invoke sed twice because it is the simplest approach to
1001 # changing $(DEPDIR) to its actual value in the expansion.
1002 for file in `sed -n -e '
1003 /^DEP_FILES = .*\\\\$/ {
1004 s/^DEP_FILES = //
1005 :loop
1006 s/\\\\$//
1009 /\\\\$/ b loop
1012 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1013 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1014 # Make sure the directory exists.
1015 test -f "$dirpart/$file" && continue
1016 fdir=`$as_dirname -- "$file" ||
1017 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1018 X"$file" : 'X\(//\)[^/]' \| \
1019 X"$file" : 'X\(//\)$' \| \
1020 X"$file" : 'X\(/\)' \| . 2>/dev/null ||
1021 echo X"$file" |
1022 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1023 s//\1/
1026 /^X\(\/\/\)[^/].*/{
1027 s//\1/
1030 /^X\(\/\/\)$/{
1031 s//\1/
1034 /^X\(\/\).*/{
1035 s//\1/
1038 s/.*/./; q'`
1039 { as_dir=$dirpart/$fdir
1040 case $as_dir in #(
1041 -*) as_dir=./$as_dir;;
1042 esac
1043 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
1044 as_dirs=
1045 while :; do
1046 case $as_dir in #(
1047 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
1048 *) as_qdir=$as_dir;;
1049 esac
1050 as_dirs="'$as_qdir' $as_dirs"
1051 as_dir=`$as_dirname -- "$as_dir" ||
1052 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1053 X"$as_dir" : 'X\(//\)[^/]' \| \
1054 X"$as_dir" : 'X\(//\)$' \| \
1055 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
1056 echo X"$as_dir" |
1057 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
1058 s//\1/
1061 /^X\(\/\/\)[^/].*/{
1062 s//\1/
1065 /^X\(\/\/\)$/{
1066 s//\1/
1069 /^X\(\/\).*/{
1070 s//\1/
1073 s/.*/./; q'`
1074 test -d "$as_dir" && break
1075 done
1076 test -z "$as_dirs" || eval "mkdir $as_dirs"
1077 } || test -d "$as_dir" || { { echo "$as_me:1080: error: cannot create directory $as_dir" >&5
1078 echo "$as_me: error: cannot create directory $as_dir" >&2;}
1079 { (exit 1); exit 1; }; }; }
1080 # echo "creating $dirpart/$file"
1081 echo '# dummy' > "$dirpart/$file"
1082 done
1083 done
1084 ;;
1086 esac
1087 done # for ac_tag
1090 { (exit 0); exit 0; }